
import javax.microedition.lcdui.*;


public class GraphicalCanvas extends javax.microedition.lcdui.Canvas
{
    private Display display = null;
	private GraphicalObject graphicalObject = null;

	private int height = 0;
	private int width = 0;

    public GraphicalCanvas(Display d)
    {
		display = d;		// save the display

		graphicalObject = new VerticalScrollingTextObject(this, "Hello Midlet World!!");

		height = this.getHeight();
		width = this.getWidth();

    }

    protected void paint(Graphics g)
    {
		g.setColor(255,255,255);
		g.fillRect(0,0,width,height);
		graphicalObject.paint(g);
    }


    void destroy()
    {
		graphicalObject.stopThread();
		graphicalObject = null;
    }

    void start()
    {
		display.setCurrent(this);

		Thread t = new Thread(graphicalObject);
		t.start();

		repaint();
    }
}
